Package org.opensaml.soap.wssecurity.messaging

# Class AbstractToken<TokenType>

java.lang.Object
org.opensaml.soap.wssecurity.messaging.AbstractToken<TokenType>

Type Parameters:
  `TokenType` - the type of token represented

All Implemented Interfaces:
  `Token<TokenType>`

Direct Known Subclasses:
  `SAML20AssertionToken`

public abstract class AbstractToken<TokenType> extends Object implements Token<TokenType>
Base abstract implementation of `Token`.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.opensaml.soap.wssecurity.messaging.Token

`Token.ValidationStatus`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Token.ValidationStatus`
`validationStatus`
Token validation status.
`private final TokenType`
`wrappedToken`
The wrapped token object instance.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AbstractToken(TokenType token)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Token.ValidationStatus`
`getValidationStatus()`
Get the token validation status.
`TokenType`
`getWrappedToken()`
Get the underlying data structure of this token.
`void`
`setValidationStatus(Token.ValidationStatus status)`
Get the token validation status.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### wrappedToken

@Nonnull private final TokenType wrappedToken
The wrapped token object instance.

### validationStatus

@Nonnull private Token.ValidationStatus validationStatus
Token validation status.

## Constructor Details

### AbstractToken

protected AbstractToken(@Nonnull TokenType token)
Constructor.

Parameters:
  `token` - the wrapped token instance

## Method Details

### getWrappedToken

@Nonnull public TokenType getWrappedToken()
Get the underlying data structure of this token.

Specified by:
  `getWrappedToken` in interface `Token<TokenType>`
Returns:
  the underlying token object

### getValidationStatus

@Nonnull public Token.ValidationStatus getValidationStatus()
Get the token validation status.

Specified by:
  `getValidationStatus` in interface `Token<TokenType>`
Returns:
  the token validation status

### setValidationStatus

public void setValidationStatus(@Nonnull Token.ValidationStatus status)
Get the token validation status.

Parameters:
  `status` - the new token validation status